Package org.apache.felix.bundleplugin

# Class VerifyBundlePlugin

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.felix.bundleplugin.VerifyBundlePlugin

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="verify", threadSafe=true, defaultPhase=VERIFY) public final class VerifyBundlePlugin extends org.apache.maven.plugin.AbstractMojo
Verifies OSGi bundle metadata contains valid entries. Supported checks in the current version:

- All packages declared in the Export-Package header are really included in the bundle.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`failOnError`
Whether to fail on errors.
`protected boolean`
`skip`
Flag to easily skip execution.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`VerifyBundlePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### skip

@Parameter(property="skip", defaultValue="false") protected boolean skip
Flag to easily skip execution.

### failOnError

@Parameter(property="failOnError", defaultValue="true") protected boolean failOnError
Whether to fail on errors.

## Constructor Details

### VerifyBundlePlugin

public VerifyBundlePlugin()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`